Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class FastHttpDateFormat

    java.lang.Object
      org.apache.tomcat.util.http.FastHttpDateFormat

    public final class FastHttpDateFormat

extends java.lang.Object

Utility class to generate HTTP dates.

Author:
  Remy Maucherat

Constructor Summary
`FastHttpDateFormat()`

Method Summary
`static java.lang.String` | `formatDate(long value, java.text.DateFormat threadLocalformat)` Get the HTTP format of the specified date.
`static java.lang.String` | `getCurrentDate()` Get the current date in HTTP format.
`static long` | `parseDate(java.lang.String value, java.text.DateFormat[] threadLocalformats)` Try to parse the given date as a HTTP date.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FastHttpDateFormat

    public FastHttpDateFormat()

Method Detail

### getCurrentDate

    public static final java.lang.String getCurrentDate()

  Get the current date in HTTP format.

### formatDate

    public static final java.lang.String formatDate(long value,
                                                    java.text.DateFormat threadLocalformat)

  Get the HTTP format of the specified date.

### parseDate

    public static final long parseDate(java.lang.String value,
                                       java.text.DateFormat[] threadLocalformats)

  Try to parse the given date as a HTTP date.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.